package com.sa.ibiz.demo.demo.codelist;

import java.util.ArrayList;
import java.util.List;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import org.springframework.util.StringUtils;
import org.springframework.stereotype.Component;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.springframework.beans.factory.annotation.Autowired;
import com.sa.ibiz.demo.ibizutil.domain.CodeList;
import com.sa.ibiz.demo.ibizutil.domain.CodeItem;


/**
 * 代码表[流程类型]
 */
@Component("ionicdemo_WFConfigTypeCodeList")
public class WFConfigTypeCodeList extends com.sa.ibiz.demo.ibizutil.domain.CodeListBase{
    @PostConstruct
	protected void init()
	{
	}

	@Override
	public void initCodeList()  {
		CodeList codeList = new CodeList();
		codeList.setSrfkey("ionicdemo_WFConfigType");
		List<CodeItem> codeItemList = new ArrayList<CodeItem>();
		CodeItem item0 = new CodeItem();
		item0.setValue("STATIC");
		item0.setId("STATIC");
		item0.setText("静态流程");
		item0.setLabel("静态流程");
		codeItemList.add(item0);
		codeList.getCodeItemModelMap().put("STATIC",item0);
		CodeItem item1 = new CodeItem();
		item1.setValue("DYNAMIC");
		item1.setId("DYNAMIC");
		item1.setText("动态流程");
		item1.setLabel("动态流程");
		codeItemList.add(item1);
		codeList.getCodeItemModelMap().put("DYNAMIC",item1);
		codeList.setItems(codeItemList.toArray(new CodeItem[codeItemList.size()]));
        this.setCodeList(codeList);
	}



}